# if status is-login
#     if not set -q __sourced_profile
#         set -x __sourced_profile 1
#         exec bash -c "\
#             test -e /etc/profile && source /etc/profile
#             test -e $HOME/.bash_profile && source $HOME/.bash_profile
#             exec fish --login
#         "
#     end

# end
if status is-interactive
    function sh --wraps sh
        if status is-interactive
            rlwrap sh $argv
        else
            sh $argv
        end
    end
    starship init fish | source
    direnv hook fish | source
    zoxide init fish | source
    thefuck --alias | source
    fzf --fish | source && fzf_configure_bindings
    if test "$SSH_TTY"
        set -gx COLORTERM truecolor
        set -gx TERM xterm-256color
    end
end
set -gx EDITOR kak

# set -g task_complete_task no
# set -g task_complete_id no
